> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bedrock.orinlabs.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Run Agent

> Trigger a run for this agent.



## OpenAPI

````yaml POST /api/cloud/agents/{id}/run/
openapi: 3.0.3
info:
  title: Bedrock API
  version: 1.0.0
  description: API for managing agent templates, agents, organizations, and adapter state
servers: []
security: []
paths:
  /api/cloud/agents/{id}/run/:
    post:
      tags:
        - cloud
      description: Trigger a run for this agent.
      operationId: cloud_agents_run_create
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          description: A UUID string identifying this Agent.
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AgentRunRequestRequest'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/AgentRunRequestRequest'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/AgentRunRequestRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentRunResponse'
          description: ''
      security:
        - tokenAuth: []
        - APIKeyAuth: []
        - ApiKeyAuth: []
components:
  schemas:
    AgentRunRequestRequest:
      type: object
      description: Serializer for agent run request.
      properties:
        wakeup:
          type: boolean
          default: false
    AgentRunResponse:
      type: object
      description: Serializer for agent run response.
      properties:
        status:
          type: string
      required:
        - status
  securitySchemes:
    tokenAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"
    APIKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````